Name:		xlog
Version:	2.0.19
Release:	%mkrel 2
Summary:	Logging program for Amateur Radio Operators
Group:		Communications/Radio
License:	GPLv3+
URL:		http://www.nongnu.org/xlog/
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18
BuildRequires:	pkgconfig(hamlib) >= 4.1
BuildRequires:	shared-mime-info
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils

Recommends:	hamlib
Recommends:	hamlib-utils

%description
xlog is a logging program for amateur radio operators. The log is stored
in a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearing and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%autosetup -p1

sed -i 's:-Werror::' configure.ac

%build
autoreconf -vfi
%configure
%make_build LIBS=-lm

%install
%make_install

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_datadir}/doc/%{name}/glabels/qsllabels.glabels

%find_lang %{name}

%{__mv} %{buildroot}%{_iconsdir}/%{name}-icon.png %{buildroot}%{_iconsdir}/%{name}.png
desktop-file-install \
--dir %{buildroot}%{_datadir}/applications \
--remove-category='Utility' \
--remove-category='Database' \
--add-category='AudioVideo' \
--add-category='Audio' \
--add-category='X-Mageia-CrossDesktop' \
--set-key=Icon \
--set-value=%{name} \
%{buildroot}%{_datadir}/applications/xlog.desktop

%files -f %{name}.lang
%doc AUTHORS data/doc/BUGS ChangeLog NEWS README
%doc data/doc/TODO data/doc/manual data/doc/KEYS
%doc data/glabels/qsllabels.glabels
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dxcc
%{_datadir}/%{name}/maps
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome-mime-text-x-%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*


%changelog
* Sat Oct 31 2020 barjac <barjac> 2.0.19-2.mga8
+ Revision: 1640765
- rebuild for hamlib-4.1

* Sat Jun 06 2020 barjac <barjac> 2.0.19-1.mga8
+ Revision: 1590651
- new version 2.0.19

* Thu Feb 20 2020 umeabot <umeabot> 2.0.18-0.beta.3.mga8
+ Revision: 1546339
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 2.0.18-0.beta.2.mga8
+ Revision: 1486362
- new version 2.0.18beta
- remove -Werror
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 24 2019 barjac <barjac> 2.0.17-1.mga7
+ Revision: 1360527
- new version 2.0.17
- drop patch

* Sun Sep 23 2018 umeabot <umeabot> 2.0.15-2.mga7
+ Revision: 1301925
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 barjac <barjac> 2.0.15-1.mga7
+ Revision: 1187818
- new version 2.0.15

* Tue Oct 10 2017 daviddavid <daviddavid> 2.0.14-1.mga7
+ Revision: 1170676
- new version: 2.0.14
- add patch to fix build with gcc7

* Fri Feb 12 2016 umeabot <umeabot> 2.0.13-2.mga6
+ Revision: 959336
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 barjac <barjac> 2.0.13-1.mga6
+ Revision: 884258
- new version 2.0.13

* Wed Oct 15 2014 umeabot <umeabot> 2.0.12-3.mga5
+ Revision: 750750
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.12-2.mga5
+ Revision: 690682
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 06 2014 barjac <barjac> 2.0.12-1.mga5
+ Revision: 660185
- new version xlog-2.0.12

* Thu Mar 06 2014 barjac <barjac> 2.0.11-1.mga5
+ Revision: 600532
- new version 2.0.11

* Sat Oct 19 2013 umeabot <umeabot> 2.0.10-2.mga4
+ Revision: 532956
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 barjac <barjac> 2.0.10-1.mga4
+ Revision: 470414
- new version 2.0.10

* Sat Jul 13 2013 barjac <barjac> 2.0.8-1.mga4
+ Revision: 453701
- new version 2.0.8

* Sat Mar 09 2013 barjac <barjac> 2.0.6-1.mga3
+ Revision: 401970
- new release - mainly bugfixes

* Mon Jan 14 2013 umeabot <umeabot> 2.0.5-6.mga3
+ Revision: 387076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 barjac <barjac> 2.0.5-5.mga3
+ Revision: 304711
- Fix build fail in i586 with configure2_5x

* Fri Sep 28 2012 barjac <barjac> 2.0.5-4.mga3
+ Revision: 299032
- Changed group to new policy

* Sat Jan 07 2012 barjac <barjac> 2.0.5-3.mga2
+ Revision: 192899
- Removed un-neccessary patch and incorporated into spec
- Bumped release

* Fri Jan 06 2012 barjac <barjac> 2.0.5-2.mga2
+ Revision: 192652
- Edit .desktop
- Edit summary
- Bump release

* Wed Jan 04 2012 barjac <barjac> 2.0.5-1.mga2
+ Revision: 190750
- Fix missing mkrel
  Remove some un-needed remarks
- Minor English edits, removed BR, removed configure option and clean
- imported package xlog


* Tue Jul 12 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.5-1
+ Revision: 689788
- don't place all docs on one line
- drop scriptlets that's now handled by triggers
- drop dead %%clean section

  + Johnny A. Solbu <solbu@mandriva.org>
    - Fixing patch file
    - Imported package
    - Spec cleanup
    - Patched desktop file
    - import xlog

